Commit 77d79c0c authored by sajolida's avatar sajolida
Browse files

Merge branch 'web/10103-windows' (Closes: #10103)

parents 531d70dd 7e5bdd0a
......@@ -32,6 +32,8 @@
/vagrant/definitions/squeeze/preseed.cfg
/vagrant/iso
/vagrant/squeeze.box
# Jenkins artifacts directory
/build-artifacts/
# Files managed by intltool
/config/chroot_local-includes/etc/skel/Desktop/tails-documentation.desktop
......
tails (1.6) UNRELEASED; urgency=medium
* Dummy changelog entry.
-- anonym <anonym@riseup.net> Fri, 28 Aug 2015 13:32:45 +0200
tails (1.5.1) unstable; urgency=medium
* Security fixes
......
......@@ -459,15 +459,6 @@ Then /^all Internet traffic has only flowed through Tor$/ do
leaks.assert_no_leaks
end
Given /^I enter the sudo password in the gksu prompt$/ do
next if @skip_steps_while_restoring_background
@screen.wait('GksuAuthPrompt.png', 60)
sleep 1 # wait for weird fade-in to unblock the "Ok" button
@screen.type(@sudo_password)
@screen.type(Sikuli::Key.ENTER)
@screen.waitVanish('GksuAuthPrompt.png', 10)
end
Given /^I enter the sudo password in the pkexec prompt$/ do
next if @skip_steps_while_restoring_background
step "I enter the \"#{@sudo_password}\" password in the pkexec prompt"
......
......@@ -93,6 +93,8 @@ Feature: Installing Tails to a USB drive, upgrading it, and using persistence
Given a computer
And I start Tails from USB drive "current" with network unplugged and I login
Then the boot device has safe access rights
And process "udev-watchdog" is running
And udev-watchdog is monitoring the correct device
And Tails is running from USB drive "current"
And the boot device has safe access rights
And there is no persistence partition on USB drive "current"
......
......@@ -33,20 +33,10 @@ cleanup() {
trap cleanup EXIT
if [ -n "$JENKINS_URL" ]; then
# Build triggered by Jenkins
ENV_FILE=/etc/jenkins/environment
if [ -f "$ENV_FILE" ] && [ -r "$ENV_FILE" ] ; then
. "$ENV_FILE"
fi
if [ -z "$WORKSPACE" ]; then
echo "WORKSPACE environment variable is not set. Aborting." >&2
exit 2
fi
if [ -z "$ARTIFACTS_ROOT_DIR" ] ; then
echo "ARTIFACTS_ROOT_DIR environment variable is not set. Aborting." >&2
exit 3
fi
if [ -z "$GIT_BRANCH" ]; then
echo "GIT_BRANCH environment variable is not set. Aborting." >&2
exit 4
......@@ -57,7 +47,7 @@ if [ -n "$JENKINS_URL" ]; then
fi
REV="${GIT_BRANCH##origin/}"
COMMIT="$GIT_COMMIT"
ARTIFACTS_DIR="$ARTIFACTS_ROOT_DIR/$JOB_NAME"
ARTIFACTS_DIR="$WORKSPACE/build-artifacts"
else
# Build triggered by Vagrant
WORKSPACE=/home/vagrant/amnesia
......@@ -133,9 +123,3 @@ if [ -n "$JENKINS_URL" ]; then
fi
mv -f tails-* "$ARTIFACTS_DIR"
if [ -n "$JENKINS_URL" ]; then
for EXT in '' .binpkgs .srcpkgs .shasum .shasum.asc .packages .buildlog ; do
ln -sf "${ISO}${EXT}" "$ARTIFACTS_DIR/latest.iso${EXT}"
done
fi
......@@ -145,7 +145,6 @@ tracked by tickets prefixed with `todo/test_suite:`.
# Erase memory on shutdown
- `memlockd` must be running
- `udev-watchdog` must monitor the right device when booted off USB (automate: [[!tails_ticket 9890]])
- After booting from DVD, remove Tails boot medium and check that the
memory erasure process is started (`Loading new kernel`, at least).
(automate: [[!tails_ticket 5472]])
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment